CO_SYNC_t Struct Reference
CANopen_301 » SYNC

SYNC producer and consumer object. More...

`#include <CO_SYNC.h>`

## Data Fields

CO_EM_t * | em
| From CO_SYNC_init()
CO_NMT_internalState_t * | operatingState
| From CO_SYNC_init()
bool_t | isProducer
| True, if device is SYNC producer. More...
uint16_t | COB_ID
| COB_ID of SYNC message. More...
uint32_t | periodTime
| Sync period time in [microseconds]. More...
uint32_t | periodTimeoutTime
| Sync period timeout time in [microseconds]. More...
uint8_t | counterOverflowValue
| Value from Synchronous counter overflow value variable from Object dictionary (index 0x1019)
bool_t | curentSyncTimeIsInsideWindow
| True, if current time is inside synchronous window. More...
volatile void * | CANrxNew
| Indicates, if new SYNC message received from CAN bus.
bool_t | CANrxToggle
| Variable toggles, if new SYNC message received from CAN bus.
uint8_t | counter
| Counter of the SYNC message if counterOverflowValue is different than zero.
uint32_t | timer
| Timer for the SYNC message in [microseconds]. More...
uint16_t | receiveError
| Set to nonzero value, if SYNC with wrong data length is received from CAN.
void(* | pFunctSignalPre )(void *object)
| From CO_SYNC_initCallbackPre() or NULL.
void * | functSignalObjectPre
| From CO_SYNC_initCallbackPre() or NULL.
CO_CANmodule_t * | CANdevRx
| From CO_SYNC_init()
uint16_t | CANdevRxIdx
| From CO_SYNC_init()
CO_CANmodule_t * | CANdevTx
| From CO_SYNC_init()
CO_CANtx_t * | CANtxBuff
| CAN transmit buffer inside CANdevTx.
uint16_t | CANdevTxIdx
| From CO_SYNC_init()

## Detailed Description

SYNC producer and consumer object.

## Field Documentation

## isProducer

bool_t CO_SYNC_t::isProducer

True, if device is SYNC producer.

Calculated from COB ID SYNC Message variable from Object dictionary (index 0x1005).

## COB_ID

uint16_t CO_SYNC_t::COB_ID

COB_ID of SYNC message.

Calculated from COB ID SYNC Message variable from Object dictionary (index 0x1005).

## periodTime

uint32_t CO_SYNC_t::periodTime

Sync period time in [microseconds].

Calculated from Communication cycle period variable from Object dictionary (index 0x1006).

## periodTimeoutTime

uint32_t CO_SYNC_t::periodTimeoutTime

Sync period timeout time in [microseconds].

(periodTimeoutTime = periodTime * 1,5)

## curentSyncTimeIsInsideWindow

bool_t CO_SYNC_t::curentSyncTimeIsInsideWindow

True, if current time is inside synchronous window.

In this case synchronous PDO may be sent.

## timer

uint32_t CO_SYNC_t::timer

Timer for the SYNC message in [microseconds].

Set to zero after received or transmitted SYNC message

The documentation for this struct was generated from the following file:

- 301/CO_SYNC.h